using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class beeping : MonoBehaviour
{
    int objno = 0;
    rtcmixmain RTcmix;
    private bool did_start = false;


    private void Awake()
    {
        // find the RTcmixmain object with the RTcmix function definitions
        RTcmix = GameObject.Find("RTcmixmain").GetComponent<rtcmixmain>();
    }


    // Use this for initialization
    void Start()
    {
        // initialize RTcmix
        RTcmix.initRTcmix(objno);

        RTcmix.SendScore("WAVETABLE(0, 0.14, 20000, 8.07, 0.5)  MAXMESSAGE(0.21, 1)", objno);

        RTcmix.SendScore("WAVETABLE(0, 0.14, 20000, 8.06, 0.5)  MAXMESSAGE(0.37, 2)", objno);

        did_start = true;
    }


    // Update is called once per frame
    void Update()
    {
    }


    void OnAudioFilterRead(float[] data, int channels)
    {
        if (!did_start) return;

        // compute sound samples
        RTcmix.runRTcmix(data, objno, 0);

        float[] vals;
        int nvals = RTcmix.checkvalsRTcmix(out vals, objno);
        if (nvals > 0)
        {
            if (vals[0] == 1)
            {
                RTcmix.SendScore("WAVETABLE(0, 0.14, 20000, 8.07, 0.5)  MAXMESSAGE(0.21, 1)", objno);
            }
            if (vals[0] == 2)
            {
                RTcmix.SendScore("WAVETABLE(0, 0.14, 20000, 8.06, 0.5)  MAXMESSAGE(0.37, 2)", objno);
            }
        }
    }


    void OnApplicationQuit()
    {
        did_start = false;
        RTcmix = null;
    }
}
